Package fr.gouv.vitam.common.server.application

# Interface VitamApplication<A extends VitamApplication<A,C>,C extends VitamApplicationConfiguration>

Type Parameters:
  `A` - The VitamApplication final class
  `C` - The VitamApplicationConfiguration final class

All Superinterfaces:
  `VitamApplicationInterface<A,C>`

public interface VitamApplication<A extends VitamApplication<A,C>,C extends VitamApplicationConfiguration> extends VitamApplicationInterface<A,C>
VitamApplication Interface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.eclipse.jetty.server.Handler`
  `getApplicationHandlers()`
  `String`
  `getConfigFilename()`
  Return the name as a string of your configuration file.
  `C`
  `getConfiguration()`
  `Class<C>`
  `getConfigurationType()`
  `void`
  `run()`
  Start the server as full daemon and blocking
  `void`
  `setConfiguration(C configuration)`
  Allow to override this method in Junit

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.VitamApplicationInterface

  `getVitamServer, start, stop`

- ## Method Details

  - ### getConfigFilename

    String getConfigFilename()
    Return the name as a string of your configuration file. Example : "logbook.conf" Could be overridden if necessary
    Returns:
      the name of the application configuration file

  - ### getConfiguration

    C getConfiguration()
    Returns:
      the configuration

  - ### setConfiguration

    void setConfiguration(C configuration)
    Allow to override this method in Junit
    Parameters:
      `configuration` -

  - ### getConfigurationType

    Class<C> getConfigurationType()
    Returns:
      the Configuration Class

  - ### getApplicationHandlers

    org.eclipse.jetty.server.Handler getApplicationHandlers()
    Returns:
      the application Handler

  - ### run

    void run() throws VitamApplicationServerException
    Start the server as full daemon and blocking
    Throws:
      `VitamApplicationServerException`